declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    timelineClassName: import("@vue/composition-api").ComputedRef<string>;
}> & import("@vue/composition-api").Data, {}, {}, {
    labelAlign: {
        type: import("vue").PropType<"alternate" | "left" | "top" | "bottom" | "right">;
        default: "alternate" | "left" | "top" | "bottom" | "right";
        validator(val: "alternate" | "left" | "top" | "bottom" | "right"): boolean;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    mode: {
        type: import("vue").PropType<"alternate" | "same">;
        default: "alternate" | "same";
        validator(val: "alternate" | "same"): boolean;
    };
    reverse: BooleanConstructor;
    theme: {
        type: import("vue").PropType<"default" | "dot">;
        default: "default" | "dot";
        validator(val: "default" | "dot"): boolean;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    labelAlign: {
        type: import("vue").PropType<"alternate" | "left" | "top" | "bottom" | "right">;
        default: "alternate" | "left" | "top" | "bottom" | "right";
        validator(val: "alternate" | "left" | "top" | "bottom" | "right"): boolean;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    mode: {
        type: import("vue").PropType<"alternate" | "same">;
        default: "alternate" | "same";
        validator(val: "alternate" | "same"): boolean;
    };
    reverse: BooleanConstructor;
    theme: {
        type: import("vue").PropType<"default" | "dot">;
        default: "default" | "dot";
        validator(val: "default" | "dot"): boolean;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    reverse: boolean;
    labelAlign: "alternate" | "left" | "top" | "bottom" | "right";
    layout: "vertical" | "horizontal";
    theme: "default" | "dot";
    mode: "alternate" | "same";
} & {}, import("@vue/composition-api").ShallowUnwrapRef<{
    timelineClassName: import("@vue/composition-api").ComputedRef<string>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    reverse: boolean;
    labelAlign: "alternate" | "left" | "top" | "bottom" | "right";
    layout: "vertical" | "horizontal";
    theme: "default" | "dot";
    mode: "alternate" | "same";
} & {}, {
    reverse: boolean;
    labelAlign: "alternate" | "left" | "top" | "bottom" | "right";
    layout: "vertical" | "horizontal";
    theme: "default" | "dot";
    mode: "alternate" | "same";
}, true>);
export default _default;
